package com.bocloud.cmp.provider.compute;

import com.bocloud.cmp.model.ClusterModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 主机聚合driver
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年7月5日
 */
public interface HostAggregateProvider extends SuperProvider {
    default BocloudResult list() {
        return null;
    }

    BocloudResult create(ClusterModel clusterModel);

    BocloudResult modify(ClusterModel clusterModel);

    BocloudResult remove(String aggregateId);

    BocloudResult addHost(String aggregateId, String hostName);

    BocloudResult removeHost(String aggregateId, String hostName);
}
